polybori::groebner::ReductionTerms Class Reference

This class defines term for `ReductionStrategy`. More...

`#include <ReductionTerms.h>`

Inheritance diagram for polybori::groebner::ReductionTerms:

## Public Member Functions

| ReductionTerms (const BoolePolyRing &ring)
| Initialize term data for given ring. More...
RelatedTerms | related (const PolyEntry &entry) const

## Public Attributes

LeadingTerms | leadingTerms
MinimalLeadingTerms | minimalLeadingTerms
LeadingTerms11 | leadingTerms11
LeadingTerms00 | leadingTerms00
LLReductor | llReductor
MonomialTerms | monomials
MonomialPlusOneTerms | monomials_plus_one

## Detailed Description

This class defines term for `ReductionStrategy`.

## Constructor & Destructor Documentation

polybori::groebner::ReductionTerms::ReductionTerms | ( | const BoolePolyRing & | ring | ) |

inline

Initialize term data for given ring.

## Member Function Documentation

RelatedTerms polybori::groebner::ReductionTerms::related | ( | const PolyEntry & | entry | ) | const

inline

Compute terms owning variables of current entry's leading term

Note
  Side effect: adds additional data to `treat_pairs`

References polybori::groebner::LiteralFactorization::is00Factorization(), polybori::groebner::LiteralFactorization::is11Factorization(), polybori::BoolePolynomial::isOne(), polybori::groebner::PolyEntryBase::lead, polybori::groebner::PolyEntryBase::literal_factors, polybori::groebner::PolyEntryBase::p, PBORI_ASSERT, polybori::BoolePolynomial::ring(), and polybori::which().

## Member Data Documentation

LeadingTerms polybori::groebner::ReductionTerms::leadingTerms

Referenced by polybori::groebner::GroebnerStrategy::addAsYouWish(), polybori::groebner::GroebnerStrategy::addGeneratorTrySplit(), polybori::groebner::FGLMStrategy::analyzeGB(), polybori::groebner::GroebnerStrategy::checkChainCriterion(), polybori::groebner::FGLMStrategy::FGLMStrategy(), polybori::groebner::LexHelper::irreducible_lead(), polybori::groebner::PairManager::nextSpoly(), polybori::groebner::select_largest_degree(), and polybori::groebner::select_no_deg_growth().

LeadingTerms00 polybori::groebner::ReductionTerms::leadingTerms00

LeadingTerms11 polybori::groebner::ReductionTerms::leadingTerms11

LLReductor polybori::groebner::ReductionTerms::llReductor

Referenced by polybori::groebner::cheap_reductions().

MinimalLeadingTerms polybori::groebner::ReductionTerms::minimalLeadingTerms

Referenced by polybori::groebner::GroebnerStrategy::addGeneratorTrySplit(), polybori::groebner::irreducible_lead(), polybori::groebner::GroebnerStrategy::minimalize(), polybori::groebner::GroebnerStrategy::minimalizeAndTailReduce(), polybori::groebner::red_tail_generic(), and polybori::groebner::GroebnerStrategy::suggestPluginVariable().

MonomialTerms polybori::groebner::ReductionTerms::monomials

Referenced by polybori::groebner::cheap_reductions().

MonomialPlusOneTerms polybori::groebner::ReductionTerms::monomials_plus_one

Referenced by polybori::groebner::cheap_reductions().

The documentation for this class was generated from the following file:

- ReductionTerms.h